[arch-commits] Commit in xf86bigfontproto/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 21 21:38:10 EDT 2009


    Date: Tuesday, April 21, 2009 @ 21:38:10
  Author: eric
Revision: 36390

Merged revisions 356,36389 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xf86bigfontproto/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r36389 | eric | 2009-04-21 21:37:53 -0400 (Tue, 21 Apr 2009) | 2 lines
  
  upgpkg: xf86bigfontproto 1.1.2-2
      Added license
........

Modified:
  xf86bigfontproto/repos/extra-x86_64/	(properties)
  xf86bigfontproto/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)


Property changes on: xf86bigfontproto/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /xf86bigfontproto/trunk:1
   + /xf86bigfontproto/trunk:1-36389

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-22 01:37:53 UTC (rev 36389)
+++ extra-x86_64/PKGBUILD	2009-04-22 01:38:10 UTC (rev 36390)
@@ -3,17 +3,19 @@
 
 pkgname=xf86bigfontproto
 pkgver=1.1.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Big Fonts extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('a318c1e86123832d7b0c95fc7d47ef35')
 sha1sums=('4a2e84b3f529e4747dbc07bf4496bfe01f40aa85')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list